MetacatUI - Bug #6056

Sort by Author sorts by firsthname rather than lasthame
08/23/2013 12:11 PM - Matt Jones

Status: Closed Start date:

Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.2.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

Related issues:
Related to MetacatUl - Feature #6059: Remove sort by author until appropriate... Closed

History

#1 - 08/23/2013 12:13 PM - Matt Jones

The current sort 'Author (a-z)' sorts on the origin field, which presents author names as 'First Last', and results in a non-intuitive sort. The 'origin' field
is probably best for the display of the author list, but 'authorLastName' is probably better for sorting.

#2 - 08/23/2013 04:13 PM - ben leinfelder

- Assignee set to ben leinfelder

This is a limitation on the fields that are indexed. An updated cn-index-processor (v1.2.0) library will include a field that is appropriate for lastName
sorting.

We can remove the author sort for now until support for this is available in our index (a new Metacat release).

#3 - 08/23/2013 04:13 PM - ben leinfelder

- Target version changed from 1.1.0 to 1.2.0

#4 - 10/09/2013 02:59 PM - Lauren Walker

authorSurNameSort field has been added to metacat in d1_cn_index_processor 1.2.0 and should be ready for sorting as soon as it is populated.

#5 - 10/24/2013 12:03 PM - ben leinfelder

- Status changed from New to Closed

In the default, knb, gulfwatch and snap themes now.
